Ticket #41382

矢を撃つと軌跡の位置にアイコンが残る

Open Date: 2021-01-30 22:53 Last Update: 2021-02-07 18:57

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

アーチャーでテストプレイをした際に気付いた
他の適当な職業で似たような事象が起こるかをまず確認する
オプション「矢の軌跡を表示する」が関係しているかもしれない

なおアイコンが残るだけでアイテムはそこにない
(5キーを押すなどして画面を再描画するとアイコンは消える)

Ticket History (3/6 Histories)

2021-01-30 22:53 Updated by: hourier
  • New Ticket "矢を撃つと軌跡の位置にアイコンが残る" created
2021-01-31 10:53 Updated by: hourier
Comment

普通にキーボードから1つずつコマンドを選択して撃つと問題ない
問題が起こるのはマクロで撃った時
その方針で再調査

2021-01-31 11:28 Updated by: hourier
  • Resolution Update from None to Duplicate
Comment

原因コミットが判明
しかし原因箇所までは特定できず

https://osdn.net/projects/hengband/scm/git/hengband/commits/39984e016dabe4287f65f671bab3fbff350d6a3e

調査中だが、Hourier自身がterm周りに疎いので開発チーム全体に依頼中

2021-01-31 13:24 Updated by: hourier
  • Status Update from Open to Closed
  • Owner Update from hourier to dis-
  • Resolution Update from Duplicate to Fixed
Comment

(解決法は設定ミス)

dis- さんに確認と修正をして頂いた
チェックして問題ないことを確認できたのでクローズ
(ディレイあり・なし両方問題なし)

2021-02-04 00:58 Updated by: deskull
Comment

ウェイト0の時はそもそも描画処理そのものを行わない形にしたのを確認しました。改めて終了扱いとします。

2021-02-07 18:57 Updated by: deskull
Comment

https://osdn.net/projects/hengband/scm/git/hengband/commits/dda5159155e8a14e3200af5038d0a4c0cb885db2

改めて修正があったようですのでマージし、Alpha5要件として解決します。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login